# /// script
# requires-python = ">=3.12"
# dependencies = [
#     "adviz",
# ]
# ///

import sys
from urllib.parse import urlsplit

import advertools as adv
import adviz


if __name__ == "__main__":
    robots_url = sys.argv[1]
    domain = urlsplit(robots_url).netloc.replace(".", "_")
    sitemap = adv.sitemap_to_df(robots_url)
    url_structure = adviz.url_structure(sitemap["loc"], title=f"{domain.replace('_', '.')} URL Structure", height=None)
    url_structure.write_html(f"{domain}_url_structure.html")
    pub_trend = adviz.ecdf(sitemap, x="lastmod", hover_name="loc", title=f"{domain.replace('_', '.')} Publishing Trends")
    pub_trend.write_html(f"{domain}_pub_trends.html")
    sitemap.to_csv(f"{domain}_sitemap.csv", index=False)
